buildbot (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Bump Standards-Version to 4.5.0
  * Fix lintian warning

 -- Robin Jarry <robin@jarry.cc>  Mon, 27 Jan 2020 13:35:00 +0100

buildbot (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Robin Jarry ]
  * Convert blockdiag diagrams to ascii drawings
  * d/control: remove dependency to python3-sphinxcontrib.blockdiag
  * Bump Standards-Version to 4.4.1
  * New upstream version 2.4.1
  * d/patches: adapt for new version
  * d/control: add build dependency to git

 -- Robin Jarry <robin@jarry.cc>  Tue, 15 Oct 2019 12:10:59 +0200

buildbot (2.3.1-1) unstable; urgency=medium

  * d/upstream: add second signing key
  * New upstream version 2.3.1
  * d/patches: remove merged by upstream
  * add parameterized dep
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Tue, 09 Jul 2019 09:38:25 +0200

buildbot (2.0.1-2) unstable; urgency=high

  * Fix OAuth module security bypass [CVE-2019-12300] (Closes: #929849)

 -- Robin Jarry <robin@jarry.cc>  Mon, 03 Jun 2019 14:47:25 +0200

buildbot (2.0.1-1) unstable; urgency=medium

  * Use scdoc for man pages
  * New upstream version 2.0.1
  * Set python3-buildbot-doc as Multi-Arch: foreign
  * Use make rules to build man pages with scdoc

 -- Robin Jarry <robin@jarry.cc>  Mon, 11 Feb 2019 21:26:20 +0100

buildbot (2.0.0-1) unstable; urgency=high

  [ Robin Jarry ]
  * Set buildbot-doc as Multi-Arch: foreign
  * New upstream version 2.0.0
  * [CVE-2019-7313] Fix CRLF injection bug (Closes: #921271)
  * d/patches: remove 0005-tests-use-explicit-python-executable-path

  [ Adriano Rafael Gomes ]
  * Add debconf translations: Brazilian Portuguese (Closes: #920542)

  [ Jean-Pierre Giraud ]
  * Add debconf translations: French (Closes: #920710)

  [ Yangfl ]
  * Add debconf translations: Chinese (Closes: #920979)

  [ Frans Spiesschaert ]
  * Add debconf translations: Dutch (Closes: #921089)

  [ victory ]
  * Add debconf translations: Japanese (Closes: #921155)

 -- Robin Jarry <robin@jarry.cc>  Mon, 04 Feb 2019 10:06:17 +0100

buildbot (1.8.0-1) unstable; urgency=medium

  [ Robin Jarry ]
  * Fix upgrade from stable (Closes: #919113)
  * New upstream version 1.8.0
  * Add Debian patch to fix new kubernetes unit tests

  [ Américo Monteiro ]
  * Add debconf translations: Portuguese (Closes: #919128)

  [ Joe Dalton ]
  * Add debconf translations: Danish (Closes: #919079)

  [ Helge Kreutzmann ]
  * Add debconf translations: German (Closes: #919751)

 -- Robin Jarry <robin@jarry.cc>  Mon, 21 Jan 2019 12:07:22 +0100

buildbot (1.7.0-2) unstable; urgency=medium

  * Avoid prompting the user for "unmodified" default files.
  * Fix typos in man pages and scripts.
  * Move from experimental to unstable.

 -- Robin Jarry <robin@jarry.cc>  Wed, 09 Jan 2019 14:47:18 +0100

buildbot (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0 (LP: #1232672, #1279362, #1285779, #1617810)
  * Upgrade standards version to 4.3.0
  * Fix buildbot master startup timeout (Closes: #917422)
  * Enhance systemd services
  * Fix lintian warnings
  * Fix unit tests environment
  * Rename packages again
  * smokes: fix check for systemd
  * Add man pages for master and worker instances administration
    (LP: #1785331)
  * Enable automatic master instances upgrade
  * Restart worker on upgrade

 -- Robin Jarry <robin@jarry.cc>  Tue, 08 Jan 2019 15:05:59 +0100

buildbot (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * d/control: update standards version to 4.2.1

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Nov 2018 22:03:03 +0100

buildbot (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Robin Jarry <robin@jarry.cc>  Tue, 04 Sep 2018 09:43:47 +0200

buildbot (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Update Standards-Version to 4.1.5. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Tue, 17 Jul 2018 12:04:54 +0200

buildbot (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * d/patches: remove fix for twisted 18.4

 -- Robin Jarry <robin@jarry.cc>  Tue, 12 Jun 2018 13:47:56 +0200

buildbot (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Robin Jarry ]
  * d/watch: update archive url pattern
  * d/patches: fix test failures with twisted 18.4
  * New upstream version 1.1.2

 -- Robin Jarry <robin@jarry.cc>  Wed, 23 May 2018 12:09:49 +0200

buildbot (1.1.1-3) unstable; urgency=medium

  * Set PAPT as maintainer and update Vcs-* urls
  * Add systemd service files
  * Fix tests for systemd

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 20:51:53 +0200

buildbot (1.1.1-2) unstable; urgency=medium

  * Fix worker init script.
  * Fix empty doc package.
  * Update Standards-Version to 4.1.4. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 13:06:10 +0200

buildbot (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer (Closes: #883529).
  * Switch to python 3.
  * The web-ui is no more included in the main package and not yet available
    in Debian. In the meantime, you may install buildbot-www from pypi.

 -- Robin Jarry <robin@jarry.cc>  Fri, 06 Apr 2018 21:00:05 +0200

buildbot (0.8.14-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #883529.
  * New upstream version (but not 0.9.x).

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 20:10:15 +0100

buildbot (0.8.12-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to drop SQLALchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jan 2017 23:11:50 +0100

buildbot (0.8.12-3.1) unstable; urgency=medium

  * NMU to fix build with sphinx 1.4 (Closes: #827622).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 26 Jul 2016 19:07:43 +0000

buildbot (0.8.12-3) unstable; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 13:16:04 +0200

buildbot (0.8.12-2) unstable; urgency=medium

  * Build-depend on python-setuptools.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 12:54:33 +0200

buildbot (0.8.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix build with sphinx-1.3. Closes: #787175.
  * Replace cdn.debian.net with httpredir.debian.org. Closes: #774478.
  * d/p/skip-failing-tests.patch: Skip two failing tests due to dependency
    shift in Ubuntu and Debian (see http://pad.lv/1497958 for details).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 20:14:02 +0100

buildbot (0.8.9-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6. No changes required
  * Update sqlalchemy patch with metadata from upstream
  * Allow single instance restart (Refs: #661102)
  * Use correct exit code during start (Closes: #758432)
  * Add more information about buildbot upgrade errors (Closes: #758857)
  * Update debian/watch, add possibility to check PGP signature
  * Add autopkgtest support
  * Remove absent files from debian/copyright

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sat, 25 Oct 2014 01:41:18 +0300

buildbot (0.8.9-1) unstable; urgency=medium

  * New upstream release. Closes: #755334, #756999.
  * Disable the SQLAlchemy version check.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 23:47:32 +0200

buildbot (0.8.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with sqlalchemy 0.9.
  * Added upstream doc patches to avoid FTBFS (Closes: #737315).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Mar 2014 06:22:09 +0000

buildbot (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Remove text-client.patch (applied upstream)
  * Add bash-completion. Thanks to Elmir Jagudin
  * debian/control: add Vcs-* fields

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 10 Oct 2013 13:22:47 +0300

buildbot (0.8.7p1-2) unstable; urgency=low

  * Rebuild to update dependency on pyhton-sqlmigrate (Closes: #715471).
  * Fix TextClient module path (Closes: #716650).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 06 Aug 2013 17:12:23 +0300

buildbot (0.8.7p1-1) unstable; urgency=low

  * New upstream release (Closes: #692451).
  * Update patches.
  * Remove temporary code for fixing permissions.
  * Use /usr/bin/trial to run tests.
  * Run dh clean with no extra arguments.
  * Introduce config for git-buildpackage: debian/gbp.conf.
  * debian/control:
    - prettify Depends
    - bump Standards-Version to 3.9.4.0 (no changes required)
    - specify minimal supported version for python-sqlalchemy
    - add python-dateutil (>=1.5) to Depends and Build-Depends (required by
      nightly scheduler).
    - add libaprutil1 to Build-Depends and to Recommends (required by web
      htpasswd auth).

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 15 Mar 2013 17:56:25 +0200

buildbot (0.8.6p1-1) unstable; urgency=low

  * New upstream release (Closes: #669474).
  * Re-enable documentation building.
  * Use sphinx-generated documentation with dh_sphinxdoc.
  * Remove deb-bug-647420.patch (fixed upstream).
  * debian/control:
    - bump Standards-Version to 3.9.3
    - move Matthias Klose to Uploaders
    - move Andriy Senkovych to Maintainer
  * debian/rules:
    - do not byte-compile *.py files in /usr/share/buildbot
    - remove additional files (docs/docs.tgz) in clean target
  * debian/copyright:
    - correct syntax for common license (GPL-2)
    - update Format line to point to copyright-format 1.0

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 26 Apr 2012 00:02:36 +0300

buildbot (0.8.5-2) unstable; urgency=low

  * Remove buildmaster-use-MASTER_PREFIXCMD.patch as fixed upstream.
  * Cherry-pick deb-bug-647420.patch from upstream (Closes: #647420). Thanks
    to Brice Goglin.
  * Add Depends: python-sqlalchemy, python-migrate, python-twisted-web
    (Closes: #660389). Thanks to Tobias Frost.
  * postrm:
    - do not remove system user on purge (Refs: #621833, closes: #656536)
    - do not remove user created data on purge

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sun, 26 Feb 2012 01:09:33 +0200

buildbot (0.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS due to missing build-dependency on python-twisted-words":
    add python-twisted-words to Build-Depends (thanks to Ubuntu / Daniel T
    Chen for the bug report and the fix). (Closes: #648384)

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Jan 2012 17:53:00 +0100

buildbot (0.8.5-1) unstable; urgency=low

  * New upstream version.
  * Build-depend on python-sqlalchemy, python-migrate.
  * Disable building the docs (requires the sphinx bbdocs extenstion).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2011 23:53:45 +0200

buildbot (0.8.4p1-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.2.
  * Apply patch from Andreas Beckmann (References: #627918)

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 01 Jul 2011 14:16:30 +0300

buildbot (0.8.3p1-1) unstable; urgency=low

  * New upstream version (Closes: #587313).
  * Build using dh_python2 instead of dh_pycentral.
  * Remove dependency on python-central.
  * Add DEP-3 compliant headers to patches.
  * Make debian/control DEP-5 compliant, add all copyright notices.
  * Add project homepage in debian/control.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove unnecessary Build-Conflicts.
  * Upgrade compatibility level to 7.
  * Upgrade Standards-Version to 3.9.1.
  * Add tests to build process (Build-Depends: python-mock).
  * Add versioned Depends and Build-Depends: python-jinja2 (>=2.1).
  * debian/rules: use override rules instead of redefining whole build
    process.
  * Purge buildbot user and its home directory only when all buildbot packages
    have been purged.
  * debian/watch: use googlecode for source download.
  * fix-init-scripts.patch: comment out example configuration in
    /etc/default/buildmaster.
  * fix-interpreters.patch: move sed scripting from debian/rules to separate
    patch which sets the correct interpreters for contrib scripts.
  * fix-test-root.patch: remove superuser checks to be able to test under
    fakeroot.
  * fix-doc-version.patch: use "0.8.3p1" as version string in all documents.
  * fix-makeinfo-args.patch: move makeinfo scripting from debian/rules to
    separate patch which sets makeinfo arguments as for 0.7.12 package.
  * fix-info-dir.patch: backport doc patches from 0.7.12 package.
  * gitpoller-multibyte.patch: fix multibyte comments processing in gitpoller.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 08 Mar 2011 23:29:44 +0200

buildbot (0.7.12-3) unstable; urgency=low

  * Make recommendations on python-twisted-mail and python-twisted-web
    dependencies.  Closes: #600268.
  * Use dh_python2 instead of python-central.
  * Set CSS stylesheet for for index.html (Andriy Senkovych). Closes: #576284.
  * Add homepage to debian/control. Closes: #587314.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Nov 2010 18:01:56 +0100

buildbot (0.7.12-2) unstable; urgency=low

  * Call setup.py install using --install-layout=deb. Closes: #569278.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Feb 2010 04:48:48 +0100

buildbot (0.7.12-1) unstable; urgency=low

  * New upstream version.
  * Recommend python-twisted-mail, python-twisted-web instead of depending
    on it. Only the server does depend on these packages. Closes: #565993.
  * Add manual page for buildbot (Iustin Pop). Closes: #554531.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2010 15:04:26 +0100

buildbot (0.7.11p3-1) unstable; urgency=low

  * New upstream version.
    - Fix CVE-2009-2959[0], cross-site scripting (XSS) vulnerability.
      Closes: #543822.
    - Fix buildbot serving CSS as text/plain, breaking styling in Firefox.
      Closes: #517267.
  * Fixed in 0.7.10: test output flooded in waterfall display.
    Closes: #512770.
  * Fix /etc/init.d/buildbot reload crashing buildslaves (Petr Rockai).
    Closes: #503288.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Aug 2009 08:23:06 +0200

buildbot (0.7.10p1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2009 19:50:33 +0100

buildbot (0.7.9-1) unstable; urgency=low

  * New upstream version.
  * Suggest supported version control systems. Closes: #496539.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Sep 2008 16:58:12 +0200

buildbot (0.7.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jul 2008 16:51:45 +0200

buildbot (0.7.7-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: Update. Closes: #449882.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Apr 2008 15:27:31 +0200

buildbot (0.7.6-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jan 2008 22:26:36 +0100

buildbot (0.7.5-1.1) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * Conditional call on deluser in postrm (Closes: #416669)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Thu, 17 May 2007 13:30:46 +0200

buildbot (0.7.5-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 16:41:10 +0100

buildbot (0.7.4-3) unstable; urgency=low

  * Use unversioned interpreter for contributed scripts, eliminating
    dependency on python2.3.
  * Use /var/lib/buildbot as home directory for the buildbot user.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 22:18:40 +0200

buildbot (0.7.4-2) unstable; urgency=medium

  * Use su -s /bin/sh to launch buildbots. Closes: #388028.
  * Fix location of examples directory. Closes: #386508.
  * Ship some script files in /usr/share/buildbot/contrib. Closes: #388030.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Oct 2006 00:06:06 +0200

buildbot (0.7.4-1) unstable; urgency=low

  * New upstream version.
  * Fix init script, starting buildbots on system startup. Closes: #384090.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 07:21:16 +0200

buildbot (0.7.3-3.1) unstable; urgency=low

  * Adding the --system flag when creating the user in postinst.
      - Closes: #382715.

 -- David Moreno Garza <damog@debian.org>  Sun, 13 Aug 2006 14:48:54 -0500

buildbot (0.7.3-3) unstable; urgency=low

  * Only create buildbot user if it doesn't yet exist (Thom May).
    Closes: #378822.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jul 2006 19:55:35 +0000

buildbot (0.7.3-2) unstable; urgency=low

  * Add copyright for contrib/svnpoller.py.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jul 2006 21:10:28 +0200

buildbot (0.7.3-1) unstable; urgency=low

  * New upstream version.
  * Convert to updated Python policy.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 02:45:50 +0200

buildbot (0.7.2-0ubuntu1) dapper; urgency=low

  * Initial release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Apr 2006 21:20:08 +0200
